Loading...
Searching...
No Matches
DiscreteFactorGraph.h File Reference

Go to the source code of this file.

## Classes

struct | gtsam::EliminationTraits< DiscreteFactorGraph >
class | gtsam::DiscreteFactorGraph
| A Discrete Factor Graph is a factor graph where all factors are Discrete, i.e. More...
struct | gtsam::traits< DiscreteFactorGraph >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

std::pair< DiscreteConditional::shared_ptr, DecisionTreeFactor::shared_ptr > | gtsam::EliminateDiscrete (const DiscreteFactorGraph &factors, const Ordering &frontalKeys)
| Main elimination function for DiscreteFactorGraph.
std::pair< DiscreteConditional::shared_ptr, DecisionTreeFactor::shared_ptr > | gtsam::EliminateForMPE (const DiscreteFactorGraph &factors, const Ordering &frontalKeys)
| Alternate elimination function for that creates non-normalized lookup tables.

## Detailed Description

Date
  Feb 14, 2011

Author
  Duy-Nguyen Ta
  Frank Dellaert